petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscStrNArrayallocpy

Allocates space to hold a copy of an array of strings then copies the strings

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStrNArrayallocpy(PetscInt n,const char *const *list,char ***t)

Not Collective

### Input Parameters

| n | - the number of string entries
| s | - pointer to array of strings

### Output Parameter

t -the copied array string

### Note

Not for use in Fortran

### See Also

PetscStrallocpy() PetscStrArrayDestroy()

### Level

intermediate

### Location

src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages